import { loginUrl } from '@/api'
import request from '@/utils/require'

// 密码重置
export function resetPwd(userCode){
    return request({
        url: `${loginUrl}/user/resetPassword/${userCode}`,
        method: 'post'
    })
}
//分页查询交易用户审核列表
export function checkList(data,page) {
    return request({
      url: `${loginUrl}/transaction/findByPage/${page.page}/${page.size}`,
      method: 'post',
      data: data
    })
}
//查看
export function findDetail(id) {
	return request({
		url: `${loginUrl}/transaction/findById?id=${id}`,
		method: 'get'
	});
}
// 审核保存
export function checkSave(data) {
    return request({
      url: `${loginUrl}/transaction/approval`,
      method: 'put',
      data: data
    })
}